html, body {
    height: 100%;
}

.red-center-line {
    position: relative;
    min-height: 100vh;
}

.red-center-line::before {
    content: "";
    position: fixed;
    z-index: 9999;
    width: 2px;
    height: 100vh;
    background-color: red;
    left: calc(50% - 1px);
    top: 0;
    display: none;
    pointer-events: none;
}